commit:     f0ec43f4907ea00a58d3e274443cfde508a5bd80
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 24 07:08:03 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Fri Jul 24 07:10:02 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f0ec43f4

net-analyzer/net-snmp: Version 5.8.1_rc1

Package-Manager: Portage-3.0.0, Repoman-2.3.23
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-analyzer/net-snmp/Manifest                  |   1 +
 net-analyzer/net-snmp/net-snmp-5.8.1_rc1.ebuild | 209 ++++++++++++++++++++++++
 2 files changed, 210 insertions(+)

diff --git a/net-analyzer/net-snmp/Manifest b/net-analyzer/net-snmp/Manifest
index 1b1b59bac83..810f50fdabf 100644
--- a/net-analyzer/net-snmp/Manifest
+++ b/net-analyzer/net-snmp/Manifest
@@ -1,4 +1,5 @@
 DIST net-snmp-5.7.3-patches-3.tar.xz 3176 BLAKE2B 
1a71d6743afb841f664c6058e32c7c411af62b0f36acd3bb9251804893ed12f462a0c5bab828e309eeec7824def2dca8fa866350b90a62ec4f0df1141b51ecae
 SHA512 
d8a91b9668320a1e19d062eb86dd4d16beb7c2d15ac7ebbb9d2a4bd298af39bbb0a2613504dbb0057cccdec731f08f2308c5a15395e1fbc29bb0611ed8aca636
 DIST net-snmp-5.8.1.pre1.tar.gz 6630615 BLAKE2B 
32ae7177fc08a773928da7f19cd06617feb1358c0dd21d39e08db460fa4267b6353f4afede1f5a500a628235a6a94d95700c84df6e85bda18b7a7a6e7bf3781f
 SHA512 
e1ad421970abb67490a08fa735bbe9ff77a6fc5a19b8bf6942bef80f5b328f8038373cd5995970085177bcfe939dfa309019512b2abce0e8cf779e693f7d6dbd
 DIST net-snmp-5.8.1.pre2.tar.gz 6642893 BLAKE2B 
4b2a1e87738c3bde49354f0cca84628f2953ee14f6b08ca53cf0bc5c320052cb4fe0f6eeb46551eaf2d45ba9c17f86ce06b64c00c1629b2d17bc351c0ccb37a8
 SHA512 
78cd9a29cc89ff7fa170ee767db3ca2077fc1d877f207c018887c2ea0148ffaf01eb013efc21b47f14c893a6ca48b3b439210ccd27dfc77f8c8e56bf9546f23e
+DIST net-snmp-5.8.1.rc1.tar.gz 6690067 BLAKE2B 
35f9547de7b40c8a6f4a046e5cdb9b4a28650f0d87d51572659c5cbb0759503b9d328fc227fa2061f18a733ceaa8c22aa771fabe685a97fab1dc9b5ff98c2648
 SHA512 
294f2c5656bfc5141ef6aa5826f79b886094ea702ec20918c0ff20aa4100c8503b33a21086c6c028cff25c05504b9f8ed29533c89745586e32d63839345e2331
 DIST net-snmp-5.8.tar.gz 6591680 BLAKE2B 
ac1bff4152310da57818a00d752a08a7fc61d697b02479d9952ca12d024d3d68dc8bfa674571e93d6f3597605b2fe91513fb6839057a80f2c3dd8d0cce0077f2
 SHA512 
27895a583b23f3e14c48562bc32f3ba83513d81aa848e878be9a3650f0458d45950635c937ef627135f80b757b663e71fab9a3bde4fd91889153998ae3468fe7

diff --git a/net-analyzer/net-snmp/net-snmp-5.8.1_rc1.ebuild 
b/net-analyzer/net-snmp/net-snmp-5.8.1_rc1.ebuild
new file mode 100644
index 00000000000..10877e4a6bf
--- /dev/null
+++ b/net-analyzer/net-snmp/net-snmp-5.8.1_rc1.ebuild
@@ -0,0 +1,209 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_SINGLE_IMPL=yesplz
+DISTUTILS_OPTIONAL=yesplz
+WANT_AUTOMAKE=none
+PATCHSET=3
+GENTOO_DEPEND_ON_PERL=no
+
+inherit autotools distutils-r1 perl-module systemd
+
+DESCRIPTION="Software for generating and retrieving SNMP data"
+HOMEPAGE="http://www.net-snmp.org/";
+SRC_URI="
+       
mirror://sourceforge/project/${PN}/${PN}/${PV/_rc*/}-pre-releases/${P/_rc/.rc}.tar.gz
+       https://dev.gentoo.org/~jer/${PN}-5.7.3-patches-3.tar.xz
+"
+
+S=${WORKDIR}/${P/_/.}
+
+# GPL-2 for the init scripts
+LICENSE="HPND BSD GPL-2"
+SLOT="0/35"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86"
+IUSE="
+       X bzip2 doc elf kmem ipv6 libressl lm-sensors mfd-rewrites minimal mysql
+       netlink pcap pci perl python rpm selinux smux ssl tcpd ucd-compat zlib
+"
+REQUIRED_USE="
+       python? ( ${PYTHON_REQUIRED_USE} )
+       rpm? ( bzip2 zlib )
+"
+
+COMMON_DEPEND="
+       bzip2? ( app-arch/bzip2 )
+       elf? ( dev-libs/elfutils )
+       lm-sensors? ( sys-apps/lm-sensors )
+       mysql? ( dev-db/mysql-connector-c:0= )
+       netlink? ( dev-libs/libnl:3 )
+       pcap? ( net-libs/libpcap )
+       pci? ( sys-apps/pciutils )
+       perl? ( dev-lang/perl:= )
+       python? (
+               $(python_gen_cond_dep '
+                       dev-python/setuptools[${PYTHON_MULTI_USEDEP}]
+               ')
+               ${PYTHON_DEPS}
+       )
+       rpm? (
+               app-arch/rpm
+               dev-libs/popt
+       )
+       ssl? (
+               !libressl? ( >=dev-libs/openssl-0.9.6d:0= )
+               libressl? ( dev-libs/libressl:= )
+       )
+       tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
+       zlib? ( >=sys-libs/zlib-1.1.4 )
+"
+DEPEND="
+       ${COMMON_DEPEND}
+       doc? ( app-doc/doxygen )
+"
+RDEPEND="
+       ${COMMON_DEPEND}
+       perl? (
+               X? ( dev-perl/Tk )
+               !minimal? ( dev-perl/TermReadKey )
+       )
+       selinux? ( sec-policy/selinux-snmp )
+"
+S=${WORKDIR}/${P/_rc/.rc}
+RESTRICT=test
+PATCHES=(
+       "${FILESDIR}"/${PN}-5.7.3-include-limits.patch
+       "${FILESDIR}"/${PN}-5.8-do-not-conflate-LDFLAGS-and-LIBS.patch
+       "${FILESDIR}"/${PN}-5.8-pcap.patch
+       "${FILESDIR}"/${PN}-5.8.1-pkg-config.patch
+       "${FILESDIR}"/${PN}-99999999-tinfo.patch
+)
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       # snmpconf generates config files with proper selinux context
+       use selinux && eapply "${FILESDIR}"/${PN}-5.1.2-snmpconf-selinux.patch
+
+       mv 
"${WORKDIR}"/patches/0002-Respect-DESTDIR-for-pythoninstall.patch{,.disabled} 
|| die
+       mv 
"${WORKDIR}"/patches/0004-Don-t-report-CFLAGS-and-LDFLAGS-in-net-snmp-config.patch{,.disabled}
 || die
+       eapply "${WORKDIR}"/patches/*.patch
+
+       default
+
+       eautoconf
+}
+
+src_configure() {
+       # keep this in the same line, configure.ac arguments are passed down to 
config.h
+       local mibs="host ucd-snmp/dlmod ucd-snmp/diskio ucd-snmp/extensible 
mibII/mta_sendmail etherlike-mib/dot3StatsTable"
+       use lm-sensors && mibs="${mibs} ucd-snmp/lmsensorsMib"
+       use smux && mibs="${mibs} smux"
+
+       # Assume /etc/mtab is not present with a recent baselayout/openrc (bug 
#565136)
+       use kernel_linux && export ac_cv_ETC_MNTTAB=/etc/mtab
+
+       econf \
+               $(use_enable !ssl internal-md5) \
+               $(use_enable ipv6) \
+               $(use_enable mfd-rewrites) \
+               $(use_enable perl embedded-perl) \
+               $(use_enable ucd-compat ucd-snmp-compatibility) \
+               $(use_with bzip2) \
+               $(use_with elf) \
+               $(use_with kmem kmem-usage) \
+               $(use_with mysql) \
+               $(use_with netlink nl) \
+               $(use_with pcap) \
+               $(use_with pci) \
+               $(use_with perl perl-modules INSTALLDIRS=vendor) \
+               $(use_with python python-modules) \
+               $(use_with rpm) \
+               $(use_with ssl openssl) \
+               $(use_with tcpd libwrap) \
+               $(use_with zlib) \
+               --enable-shared --disable-static \
+               --with-default-snmp-version="3" \
+               --with-install-prefix="${D}" \
+               --with-ldflags="${LDFLAGS}" \
+               --with-logfile="/var/log/net-snmpd.log" \
+               --with-mib-modules="${mibs}" \
+               --with-persistent-directory="/var/lib/net-snmp" \
+               --with-sys-contact="root@Unknown" \
+               --with-sys-location="Unknown"
+}
+
+src_compile() {
+       for target in snmplib agent sedscript all; do
+               emake OTHERLDFLAGS="${LDFLAGS}" ${target}
+       done
+
+       use doc && emake docsdox
+}
+
+src_install () {
+       # bug #317965
+       emake -j1 DESTDIR="${D}" install
+
+       use python && python_optimize
+
+       if use perl ; then
+               perl_delete_localpod
+               if ! use X; then
+                       rm "${D}"/usr/bin/tkmib || die
+               fi
+       else
+               rm -f \
+                       "${D}"/usr/bin/fixproc \
+                       "${D}"/usr/bin/ipf-mod.pl \
+                       "${D}"/usr/bin/mib2c \
+                       "${D}"/usr/bin/net-snmp-cert \
+                       "${D}"/usr/bin/snmp-bridge-mib \
+                       "${D}"/usr/bin/snmpcheck \
+                       "${D}"/usr/bin/snmpconf \
+                       "${D}"/usr/bin/tkmib \
+                       "${D}"/usr/bin/traptoemail \
+                       "${D}"/usr/share/snmp/mib2c.perl.conf \
+                       "${D}"/usr/share/snmp/snmp_perl_trapd.pl \
+                       || die
+       fi
+
+       dodoc AGENT.txt ChangeLog FAQ INSTALL NEWS PORTING README* TODO
+       newdoc EXAMPLE.conf.def EXAMPLE.conf
+
+       if use doc; then
+               docinto html
+               dodoc -r docs/html/*
+       fi
+
+       keepdir /var/lib/net-snmp
+
+       newinitd "${FILESDIR}"/snmpd.init.2 snmpd
+       newconfd "${FILESDIR}"/snmpd.conf snmpd
+
+       newinitd "${FILESDIR}"/snmptrapd.init.2 snmptrapd
+       newconfd "${FILESDIR}"/snmptrapd.conf snmptrapd
+
+       systemd_dounit "${FILESDIR}"/snmpd.service
+       systemd_dounit "${FILESDIR}"/snmptrapd.service
+
+       insinto /etc/snmp
+       newins "${S}"/EXAMPLE.conf snmpd.conf.example
+
+       # Remove everything not required for an agent.
+       # Keep only the snmpd, snmptrapd, MIBs, headers and libraries.
+       if use minimal; then
+               rm -rf \
+                       "${D}"/**/*.pl \
+                       
"${D}"/usr/bin/{encode_keychange,snmp{get,getnext,set,usm,walk,bulkwalk,table,trap,bulkget,translate,status,delta,test,df,vacm,netstat,inform,check,conf},fixproc,traptoemail}
 \
+                       "${D}"/usr/share/snmp/*.conf \
+                       "${D}"/usr/share/snmp/snmpconf-data \
+                       || die
+       fi
+
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to